Users
Creates a new user assigning them a server generated ID
Authorizations
AuthorizationstringRequired
Body
Refer to the /schemas/user endpoint for the full JSON Schema definition
emailstring · emailRequired
firstNamestringRequired
lastNamestringRequired
timezonestringOptional
userTypestringOptional
Responses
200
successful operation
application/json
Refer to the /schemas/user endpoint for the full JSON Schema definition
emailstring · emailRequired
firstNamestringRequired
lastNamestringRequired
timezonestringOptional
userTypestringOptional
400
Invalid status value
application/json
post
/usersGet the user
Authorizations
AuthorizationstringRequired
Path parameters
userIdstringRequired
The ID of the user
Responses
200
successful operation
application/json
Refer to the /schemas/user endpoint for the full JSON Schema definition
emailstring · emailRequired
firstNamestringRequired
lastNamestringRequired
timezonestringOptional
userTypestringOptional
400
Invalid status value
application/json
get
/users/{userId}Update the user
Authorizations
AuthorizationstringRequired
Path parameters
userIdstringRequired
The ID of the user
Body
Refer to the /schemas/user endpoint for the full JSON Schema definition
emailstring · emailRequired
firstNamestringRequired
lastNamestringRequired
timezonestringOptional
userTypestringOptional
Responses
200
successful operation
application/json
objectOptional
400
Invalid status value
application/json
put
/users/{userId}